OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
LevelSetFilter< LevelSetGridT > Class Template Reference

`#include <openvdb/points/IndexFilter.h>`

## Public Types
using | ValueT = typename LevelSetGridT::ValueType
using | Handle = AttributeHandle<openvdb::Vec3f>

## Public Member Functions
| LevelSetFilter (const LevelSetGridT &grid, const math::Transform &transform, const ValueT min, const ValueT max)
| LevelSetFilter (const LevelSetFilter &filter)
bool | initialized () const
template<typename LeafT >
void | reset (const LeafT &leaf)
template<typename IterT >
bool | valid (const IterT &iter) const

## Static Public Member Functions
static index::State | state ()
template<typename LeafT >
static index::State | state (const LeafT &)

## Member Typedef Documentation

## ◆ Handle

template<typename LevelSetGridT >

using Handle = AttributeHandle<openvdb::Vec3f>

## ◆ ValueT

template<typename LevelSetGridT >

using ValueT = typename LevelSetGridT::ValueType

## Constructor & Destructor Documentation

## ◆ LevelSetFilter() [1/2]

template<typename LevelSetGridT >

LevelSetFilter | ( | const LevelSetGridT & | grid,
|  | const math::Transform & | transform,
|  | const ValueT | min,
|  | const ValueT | max )
| inline

## ◆ LevelSetFilter() [2/2]

template<typename LevelSetGridT >

LevelSetFilter | ( | const LevelSetFilter< LevelSetGridT > & | filter | ) |
| inline

## Member Function Documentation

## ◆ initialized()

template<typename LevelSetGridT >

bool initialized | ( |  | ) | const
| inline

## ◆ reset()

template<typename LevelSetGridT >
template<typename LeafT >

void reset | ( | const LeafT & | leaf | ) |
| inline

## ◆ state() [1/2]

template<typename LevelSetGridT >

static index::State state | ( |  | ) |
| inline static

## ◆ state() [2/2]

template<typename LevelSetGridT >
template<typename LeafT >

static index::State state | ( | const LeafT & |  | ) |
| inline static

## ◆ valid()

template<typename LevelSetGridT >
template<typename IterT >

bool valid | ( | const IterT & | iter | ) | const
| inline